%define srcname lxqt_wallet

%define major   3.2.0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           lxqt-wallet
Version:        3.2.1
Release:        %mkrel 1
Summary:        Create a kwallet like functionality for LXQt
Group:          Graphical desktop/KDE
License:        BSD
URL:            https://github.com/lxqt/lxqt_wallet/
Source0:        https://github.com/lxqt/lxqt_wallet/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libgcrypt-devel
BuildRequires:  pkgconfig(lxqt)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(libsecret-1)

%description
This project seeks to give a functionality for secure storage
of information that can be presented in key-values pair like
user names-passwords pairs.

Currently the project can store the information in KDE's kwallet,
GNOME's secret service or in an internal system that use libgcrypt
as its cryptographic backend.

The internal secure storage system allows the functionality to
be provided without dependencies on KDE or GNOME libraries.

This project is designed to be used by other projects simply by
adding the source folder in the build system and start using it.

#------------------------------------------------

%package -n     %{libname}
Summary:        Create a kwallet like functionality for LXQt
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n %{libname}
This project seeks to give a functionality for secure storage
of information that can be presented in key-values pair like
user names-passwords pairs.

Currently the project can store the information in KDE's kwallet,
GNOME's secret service or in an internal system that use libgcrypt
as its cryptographic backend.

The internal secure storage system allows the functionality to
be provided without dependencies on KDE or GNOME libraries.

This project is designed to be used by other projects simply by
adding the source folder in the build system and start using it.

#------------------------------------------------

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Requires:       pkgconfig(lxqt)
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

cp -p backend/README README-backend
cp -p frontend/README README-frontend

%build
%cmake_lxqt \
        -DLIB_SUFFIX=default \
        -DNOKDESUPPORT=false \
        -DNOSECRETSUPPORT=false \
        -DBUILD_SHARED=true

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt

%files -f %{name}.lang
%license LICENSE
%doc README.md changelog
%{_bindir}/%{srcname}-cli

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}

%files -n %{devname}
%doc README-*
%{_includedir}/lxqt/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Aug 03 2020 daviddavid <daviddavid> 3.2.1-1.mga8
+ Revision: 1610667
- new version: 3.2.1

* Sun Aug 02 2020 daviddavid <daviddavid> 3.2.0-1.mga8
+ Revision: 1610581
- new version: 3.2.0
- update URL and Source URL

* Sat Feb 15 2020 daviddavid <daviddavid> 3.1.0-4.mga8
+ Revision: 1525738
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 umeabot <umeabot> 3.1.0-3.mga7
+ Revision: 1383301
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.1.0-2.mga7
+ Revision: 1299415
- Mageia 7 Mass Rebuild

* Sun May 27 2018 daviddavid <daviddavid> 3.1.0-1.mga7
+ Revision: 1232372
- initial package lxqt-wallet

